Valstorm LogoDev

ai Endpoints

All endpoints for the ai API group. Great for feeding into an LLM context.

POST

/v1/ai/agent/chat

Chat With Data Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ChatRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/ai/agent/confirm

Confirm Agent Tool Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ConfirmToolRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/ai/tools

Get Ai Tools

Returns the list of all available platform tools that the AI can use.


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/ai/agent/{agent_id}/tools

Get Agent Tools Route

Returns the list of tools configured for a specific agent.


Parameters
agent_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner